import 'package:flutter/material.dart';
import 'package:yumi/ui_kit/theme/socialchat_theme.dart';

class ThemeManager with ChangeNotifier {
  ThemeMode _themeMode = ThemeMode.system;

  ThemeMode get themeMode => _themeMode;

  ThemeData get currentTheme {
    switch (_themeMode) {
      case ThemeMode.dark:
        return SocialChatTheme.darkTheme;
      case ThemeMode.light:
      case ThemeMode.system:
      default:
        return SocialChatTheme.lightTheme;
    }
  }

  void updateThemeMode(ThemeMode mode) {
    _themeMode = mode;
    notifyListeners();
  }
}